Skip to main content
GET
/
api
/
external
/
buyer
/
{buyerId}
/
summary
Get Buyer Summary
curl --request GET \
  --url https://dashboard.starbridge.ai/api/external/buyer/{buyerId}/summary \
  --header 'Authorization: Bearer <token>'
{
  "buyerId": "<string>",
  "needsRegeneration": true,
  "summary": {
    "whatsRecent": {
      "sections": [
        {
          "title": "<string>",
          "text": "<string>",
          "sources": [
            {
              "entryId": "<string>",
              "triggerId": "<string>",
              "triggerType": "<string>",
              "triggerName": "<string>",
              "entryName": "<string>"
            }
          ]
        }
      ],
      "intro": "<string>"
    },
    "theBiggerPicture": {
      "sections": [
        {
          "title": "<string>",
          "text": "<string>",
          "sources": [
            {
              "entryId": "<string>",
              "triggerId": "<string>",
              "triggerType": "<string>",
              "triggerName": "<string>",
              "entryName": "<string>"
            }
          ]
        }
      ],
      "intro": "<string>"
    },
    "areasForDeeperDiscovery": {
      "sections": [
        {
          "title": "<string>",
          "text": "<string>",
          "sources": [
            {
              "entryId": "<string>",
              "triggerId": "<string>",
              "triggerType": "<string>",
              "triggerName": "<string>",
              "entryName": "<string>"
            }
          ]
        }
      ],
      "intro": "<string>"
    }
  },
  "score": 123,
  "scoreReasoning": "<string>",
  "generatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

HTTP Bearer Authentication

Path Parameters

buyerId
string
required

Response

Buyer activity summary grounded in tracked account activity.

buyerId
string
required
needsRegeneration
boolean
required
summary
BuyerSummaryContent · object
score
integer | null
scoreReasoning
string | null
generatedAt
string | null